<?php

namespace App\Http\Resources\Dictionary;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class ItemListsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request = null): array
    {
        $lists = [];
        foreach ($this->resource['ITEM'] as $v) {
            $lists[] = [
                'type_id' => (int) $v['TYPEID'],
                'type_name' => $v['TYPENAME'],
            ];
        }

        return $lists;
    }
}
