<?php

namespace App\Http\Resources\Patient;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class PatientDetailsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request = null): array
    {
        return [
            'patient_id' => $this->resource['patient_number'],
            'patient_name' => $this->resource['name'],
            // 'card_no' => $this->resource['card_no'],
            'sex' => $this->resource['sex'],
            'birthday' => $this->resource['birthday'],
            'is_default' => $this->resource['def_status']
        ];
    }
}
