<?php

namespace App\Http\Resources\Patient;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class PatientListsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request = null): array
    {
        $lists = [];
        foreach ($this->resource as $v) {
            $lists[] = [
                'patient_id' => $v['patient_number'],
                'patient_name' => $v['name'],
                'is_default' => $v['def_status']
            ];
        }

        return $lists;
    }
}
