<?php

declare(strict_types=1);

namespace App\Dictionary\Patient;

/**
 * 健康卡状态
 */
enum HealthCardStatus: int
{
    case UNREGISTERED = 0;

    case REGISTERED = 1;

    /**
     * Label string
     */
    public function label(): string
    {
        return match ($this) {
            self::UNREGISTERED => '已注册',
            self::REGISTERED => '未注册',
        };
    }
}
